PaVersionInfo Struct Reference

`#include <portaudio.h>`

## Data Fields

int | versionMajor
int | versionMinor
int | versionSubMinor
const char * | versionControlRevision
const char * | versionText

## Detailed Description

A structure containing PortAudio API version information.

See also
  Pa_GetVersionInfo, paMakeVersionNumber

Version
  Available as of 19.5.0.

Definition at line 90 of file portaudio.h.

## Field Documentation

## versionControlRevision

const char* PaVersionInfo::versionControlRevision

This is currently the Git revision hash but may change in the future. The versionControlRevision is updated by running a script before compiling the library. If the update does not occur, this value may refer to an earlier revision.

Definition at line 99 of file portaudio.h.

## versionText

const char* PaVersionInfo::versionText

Version as a string, for example "PortAudio V19.5.0-devel, revision 1952M"

Definition at line 101 of file portaudio.h.

The documentation for this struct was generated from the following file:

- portaudio.h